{
  config,
  pkgs,
  inputs,
  ...
}: let
  inherit (inputs.nix-colors.lib-contrib {inherit pkgs;}) gtkThemeFromScheme;
in {
  # Do not make conditional, just toggle things on and off
  imports = [inputs.nix-colors.homeManagerModules.default]; # TODO: what does this do

  # home.sessionVariables.GTK_THEME = "Catppuccin-Mocha-Compact-Blue-dark";
  gtk = {
    enable = true;
    theme = {
      name = inputs.nix-colors.colorschemes.${config.colorscheme.name}.slug;
      package = gtkThemeFromScheme {
        scheme = inputs.nix-colors.colorschemes.${config.colorscheme.name};
      };
    };
    iconTheme = {
      name = "Papirus-Dark";
      package = pkgs.papirus-icon-theme;
    };
    cursorTheme = {
      package = pkgs.apple-cursor;
      name = "macOS";
      size = 24;
    };
  };

  xdg.portal.extraPortals = [pkgs.xdg-desktop-portal-gtk];
}
